Metaproperty

Create metaproperty

Create a new metaproperty

post
https://{your-bynder-domain}/api/1/taxonomy/metaproperties

Body

application/json

MetapropertyInput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired

Response

application/json

MetapropertyCreateOutput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
idstring(uuid)
metapropertyTypestring

Allowed values:single-selectmulti-selectdatetext

namestring
statusstring
post/api/1/taxonomy/metaproperties

Body

{ "metapropertyType": "single-select", "name": "name" }
 
application/json

Delete metaproperty

Delete a metaproperty by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

MetapropertyDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json

Retrieve Metaproperty

Retrieve a single metaproperty by its id

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

Metaproperty

allowDuplicatesbooleanrequired
autocompletebooleanrequired
createDuringApplybooleanrequired
definitionstring
idstringrequired
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired
get/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json

Modify metaproperty

Modify a metaproperty by id

patch
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Body

application/json

MetapropertyUpdateInput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
metapropertyTypestring

Allowed values:single-selectmulti-selectdatetext

namestring

Response

application/json

MetapropertyUpdatedOutput

messagestringrequired
patch/api/1/taxonomy/metaproperties/{metapropertyId}

Body

{}
 
application/json

Metaproperties - Old API (Please use new API if possible)